Page MenuHomePhabricator

CirrusSearch: Prefix search should normalize hyphens to spaces and ’ to '
Closed, ResolvedPublic

Description

Prefix search should normalize dashes to spaces and ’ to '.

Note: the direction of the normalization doesn't matter too much so long as those two characters become one. So I'm not taking sides on if ’ or ' are more appropriate for your language. I'm just asserting that they should be the same. In half the fonts I've tried I can't actually see the difference....


Version: REL1_22-branch
Severity: normal

Details

Reference
bz73560

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:51 AM
bzimport added a project: CirrusSearch.
bzimport set Reference to bz73560.

Rather, I mean that when searching for one of them you should find the other.

s/dashes/hyphens/

Change 174703 had a related patch set uploaded by Manybubbles:
Normalize more characters in prefix searches

https://gerrit.wikimedia.org/r/174703

demon removed a subscriber: demon.Aug 19 2015, 3:44 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 19 2015, 3:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana closed this task as Resolved.Dec 3 2015, 7:29 PM
Deskana added a subscriber: Deskana.

The above patch was merged, so I am going to assume this issue was resolved.